Package com.massivecraft.factions.util

## Enum XMaterial.MinecraftVersion

- java.lang.Object
- - java.lang.Enum<XMaterial.MinecraftVersion>
  - - com.massivecraft.factions.util.XMaterial.MinecraftVersion

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<XMaterial.MinecraftVersion>`, `java.lang.constant.Constable`

Enclosing class:
  XMaterial

    public static enum XMaterial.MinecraftVersion
    extends java.lang.Enum<XMaterial.MinecraftVersion>

Only major versions related to material changes.

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`UNKNOWN` | 1.7 or below.
`VERSION_1_13` | Aquatic Update
`VERSION_1_14` | Village Pillage Update
`VERSION_1_8` | Bountiful Update
`VERSION_1_9` | Combat Update (Pitiful Update?)

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static XMaterial.MinecraftVersion[]` | `VALUES` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static XMaterial.MinecraftVersion` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static XMaterial.MinecraftVersion[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VERSION_1_8

    public static final XMaterial.MinecraftVersion VERSION_1_8

Bountiful Update

#### VERSION_1_9

    public static final XMaterial.MinecraftVersion VERSION_1_9

Combat Update (Pitiful Update?)

#### VERSION_1_13

    public static final XMaterial.MinecraftVersion VERSION_1_13

Aquatic Update

#### VERSION_1_14

    public static final XMaterial.MinecraftVersion VERSION_1_14

Village Pillage Update

#### UNKNOWN

    public static final XMaterial.MinecraftVersion UNKNOWN

1.7 or below. Using `XMaterial.getVersionIfNew()` it means 1.12 or below.

### Field Detail

#### VALUES

    public static final XMaterial.MinecraftVersion[] VALUES

### Method Detail

#### values

    public static XMaterial.MinecraftVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XMaterial.MinecraftVersion valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null